Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
2. Versuch zu Gentoo zu wechseln. [Erfolgreich]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2, 3, 4, 5, 6, 7  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum
View previous topic :: View next topic  
Author Message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Tue Jul 24, 2012 6:11 pm    Post subject: 2. Versuch zu Gentoo zu wechseln. [Erfolgreich] Reply with quote

Hallo liebe Gentoo Gemeinschaft,

da mein erster versuch zu Gentoo zu wechseln gescheitert ist, (Es lag größten Teils an mir)
versuche ich es nun in ruhe erneut.

Mein PC:
1x SSD 60GB
1x HDD 400GB
12GB RAM
3/6 core FX 6100 AMD Bulldozer
GeForce GT 440 (Nvidia)
(zur Zeit nutze ich ArchLinux64Bit)

Meine beforzugte DE ist KDE außerdem werde ich den unstabel/testing zweig von Gentoo beforzugen, da ich nicht auf die Aktuellität, welche mir von ArchLinux bekannt ist, verzichten möchte.

Ich werde hier Fragen posten, falls ich Probleme bei der Installation haben sollte. Ich hoffe diesmal klappt alles. Falls ihr hilfreiche aktuelle Links überhabt - ich schaue sie mir gerne an - ansonsten komme ich auch gut selbst klar.


Last edited by Beelzebub_ on Mon Sep 03, 2012 7:01 pm; edited 3 times in total
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1953
Location: My own world! I and Gentoo!

PostPosted: Tue Jul 24, 2012 8:30 pm    Post subject: Reply with quote

Rein von der Sache her bleibt es bei den üblichen Verdächtigen:

Gentoo Handbuch
UTF-8
Deutsche Lokalisierung
nvidia

Und darf ich dir noch was sagen?
http://lmgtfy.com/?q=%24%7BProblem%7D+Gentoo

Mehr brauchte ich nicht ;)
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
bell
Guru
Guru


Joined: 27 Nov 2007
Posts: 426

PostPosted: Tue Jul 24, 2012 9:31 pm    Post subject: Reply with quote

Das ist ja ein Monster-System. Darauf Gentoo zu installieren macht sicherlich Spaß. Die SSD als / die HDD als /home, /tmp und /var/tmp als tmpfs. Damit kannst Du selbst Libre-Office im RAM kompilieren 8O

Vom Unstable/Testing würde ich Dir als Anfänger abraten. Bei Gentoo ist es ohne Probleme möglich die Zweige zu mischen. Also: Stabile Basis und wo es drauf ankommt: Testing oder Unstable.

An sonsten noch ein Paar Stichworte von mir
- http://www.gentooforum.de/artikel/16042/was-hat-gentoo-was-andere-nicht-haben.html
- Installationsanleitung nicht nur Deutsch sondern auch parallel in Englisch lesen
- Für die SSD-Formattierung denke an "trim"
- tmpfs wie oben schon erwähnt.
- als CFLAGS die "-march=native"
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Tue Jul 24, 2012 11:53 pm    Post subject: Reply with quote

Danke euch, für die freundlichen Antworten.


bell wrote:
Die SSD als / die HDD als /home, /tmp und /var/tmp als tmpfs.


Im Prinzip nicht schlecht aber ich habe mir bereits etwas besseres ausgedacht. =)
Da auf der /home auch Daten sind welche oft von Programmen benötigt werden, werde ich die /home auch auf die SSD packen.
Dies beschleunigt mein System wieder ein wenig (Korrigiert mich bitte wenn ich falsch liege). Auf der HDD werde ich eine /more Partition erstellen, welche für meine "Eigene Dateien" (Musik, Filme, Dokument...) da ist.

Bezüglich trim für die SSD muss ich mich noch näher informieren, das ist mir noch nicht ganz klar aber ich denke das kann ich noch später einrichten.

Danke für die Errinerung an tmpfs, das hätte ich doch fast ganz vergessen.
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Wed Jul 25, 2012 10:08 am    Post subject: Reply with quote

So ich habe es bereits geschaft ein minimales Gentoo einzurichten:

Meine make.conf sieht wie folgt aus:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-O2 -march=native -pipe"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j12"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
ACCEPT_KEYWORDS="amd64 ~amd64"
VIDEO_CARDS="nvidia"
INPUT_DEVICES="evdev synaptics"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="mmx sse sse2 -gtk -gnome qt4 kde dvd alsa cdr minizip consolekit dbus policykit udev"



Bei dem Versuch der Installation von KDE kam jedoch folgendes:

archhost / # emerge kdebase-meta
Calculating dependencies... done!
[ebuild N ] dev-libs/libical-0.48 USE="-examples"
[ebuild N ] dev-libs/libx86-1.1-r1
[ebuild N ] x11-themes/hicolor-icon-theme-0.12
[ebuild N ] media-libs/giflib-4.1.6-r2 USE="X -rle -static-libs"
[ebuild N ] kde-base/kdebase-pam-7
[ebuild N ] sys-apps/vbetool-1.1
[ebuild N ] sys-power/pm-utils-1.4.1-r2 USE="alsa -debug -ntp" VIDEO_CARDS="-intel -radeon"
[ebuild N ] dev-libs/dbus-glib-0.100 USE="-debug -doc -static-libs -test"
[ebuild N ] x11-apps/xmessage-1.0.3
[ebuild N ] app-misc/media-player-info-17
[ebuild N ] dev-libs/libatasmart-0.19 USE="-static-libs"
[ebuild N ] sys-fs/lvm2-2.02.95-r3 USE="lvm1 readline thin udev (-clvm) (-cman) (-selinux) -static -static-libs"
[ebuild N ] x11-libs/libXres-1.0.6 USE="-static-libs"
[ebuild N ] media-libs/libsndfile-1.0.25 USE="alsa -minimal -sqlite -static-libs"
[ebuild N ] x11-apps/scripts-1.0.1-r1
[ebuild N ] sys-apps/usbutils-006 USE="zlib -python"
[ebuild N ] sys-apps/sg3_utils-1.33 USE="-static-libs"
[ebuild N ] sys-apps/rescan-scsi-bus-1.56
[ebuild N ] sys-block/parted-3.1 USE="debug nls readline -device-mapper (-selinux) -static-libs -test"
[ebuild N ] dev-db/virtuoso-server-6.1.5 USE="ldap readline -kerberos"
[ebuild N ] media-libs/raptor-2.0.8 USE="curl unicode -debug -json -static-libs"
[ebuild N ] dev-libs/rasqal-0.9.29 USE="crypt mhash pcre xml -doc -gmp -static-libs -test"
[ebuild N ] dev-libs/redland-1.0.15 USE="berkdb ssl xml -iodbc -mysql -odbc -postgres -sqlite -static-libs"
[ebuild N ] media-libs/libsdl-1.2.15-r2 USE="X alsa audio joystick opengl video xinerama xv -aalib -custom-cflags -dga -directfb -fbcon -ggi -libcaca -nas -oss (-ps3) -pulseaudio -static-libs (-svga) -tslib"
[ebuild N ] media-libs/libmpeg2-0.5.1-r1 USE="X sdl -static-libs"
[ebuild N ] x11-libs/libxklavier-5.2.1 USE="introspection -doc"
[ebuild N ] media-plugins/gst-plugins-faad-0.10.22
[ebuild N ] media-libs/gst-plugins-ugly-0.10.18 USE="-debug"
[ebuild N ] media-plugins/gst-plugins-xvideo-0.10.35
[ebuild N ] media-plugins/gst-plugins-mpeg2dec-0.10.18
[ebuild N ] media-plugins/gst-plugins-a52dec-0.10.18 USE="orc"
[ebuild N ] media-plugins/gst-plugins-x-0.10.35
[ebuild N ] media-plugins/gst-plugins-ogg-0.10.35
[ebuild N ] media-plugins/gst-plugins-alsa-0.10.35
[ebuild N ] media-plugins/gst-plugins-dts-0.10.22 USE="orc"
[ebuild N ] media-plugins/gst-plugins-dvdread-0.10.18
[ebuild N ] media-plugins/gst-plugins-vorbis-0.10.35
[ebuild N ] media-plugins/gst-plugins-flac-0.10.30
[ebuild N ] media-plugins/gst-plugins-resindvd-0.10.22
[ebuild N ] media-plugins/gst-plugins-mad-0.10.18
[ebuild N ] media-plugins/gst-plugins-meta-0.10-r7 USE="X a52 aac alsa dts dvd flac mp3 mpeg ogg vorbis xv -dv -dvb -ffmpeg -http -lame -libvisual -mms -musepack -mythtv -oss -pulseaudio -taglib -theora -v4l -vcd -vpx -wavpack"
[ebuild N ] x11-libs/qt-svg-4.8.2 USE="accessibility exceptions (-aqua) (-c++0x) -debug -pch (-qpa)"
[ebuild N ] x11-libs/qt-webkit-4.8.2 USE="exceptions gstreamer jit (-aqua) -debug -icu -pch (-qpa)"
[ebuild N ] x11-libs/qt-opengl-4.8.2 USE="exceptions qt3support (-aqua) (-c++0x) -debug -egl -pch (-qpa)"
[ebuild N ] app-crypt/pinentry-0.8.1 USE="ncurses qt4 -caps -gtk -static"
[ebuild N ] dev-util/automoc-0.9.88
[ebuild N ] kde-base/oxygen-icons-4.8.4 USE="(-aqua) -bindist"
[ebuild N ] media-libs/qimageblitz-0.0.6 USE="mmx sse sse2 -3dnow (-altivec) -debug"
[ebuild N ] dev-libs/soprano-2.7.6 USE="dbus raptor redland virtuoso -clucene -debug -doc -test"
[ebuild N ] dev-libs/shared-desktop-ontologies-0.10.0
[ebuild N ] dev-libs/libattica-0.4.0 USE="-debug"
[ebuild N ] x11-libs/qt-declarative-4.8.2 USE="accessibility exceptions qt3support (-aqua) (-c++0x) -debug -pch (-qpa) -webkit"
[ebuild N ] app-misc/strigi-0.7.7-r1 USE="dbus exif fam qt4 -clucene -debug -ffmpeg -hyperestraier -inotify (-log) -test"
[ebuild N ] app-crypt/gnupg-2.0.19 USE="bzip2 ldap nls readline usb -adns -doc (-selinux) -smartcard -static"
[ebuild N ] dev-libs/libdbusmenu-qt-0.9.2 USE="-debug -doc -test"
[ebuild N ] net-libs/libssh-0.5.2 USE="sftp zlib -debug -doc -examples -gcrypt -pcap -server -ssh1 -static-libs -test"
[ebuild N ] app-office/akonadi-server-1.7.2 USE="sqlite -mysql -postgres -test"
[ebuild N ] app-crypt/gpgme-1.3.2 USE="-common-lisp -static-libs"
[ebuild N ] media-libs/phonon-4.6.0-r1 USE="gstreamer (-aqua) -debug -pulseaudio -vlc -zeitgeist"
[ebuild N ] sys-auth/polkit-0.107 USE="introspection kde nls pam -examples -gtk (-selinux) -systemd"
[ebuild N ] sys-auth/consolekit-0.4.5_p20120320 USE="acl pam (policykit) -debug -doc (-selinux) -test"
[ebuild U ] sys-auth/pambase-20120417-r1 [20101024-r2] USE="(consolekit*) -systemd%"
[ebuild N ] sys-auth/polkit-qt-0.103.0 USE="-debug -examples"
[ebuild N ] net-wireless/bluez-4.101-r1 USE="alsa (consolekit) cups readline usb -debug -gstreamer -pcmcia (-selinux) -test-programs"
[ebuild N ] dev-libs/openobex-1.5 USE="bluetooth usb -debug -irda -syslog"
[ebuild N ] app-mobilephone/obex-data-server-0.4.5 USE="usb -debug -gtk -imagemagick"
[ebuild N ] app-mobilephone/obexd-0.46 USE="usb -eds -nokia -server"
[ebuild N ] sys-apps/kmod-9-r3 USE="tools zlib -debug -doc -lzma -static-libs"
[uninstall ] sys-apps/module-init-tools-3.16-r1
[blocks b ] sys-apps/kmod ("sys-apps/kmod" is blocking sys-apps/module-init-tools-3.16-r1)
[blocks b ] sys-apps/module-init-tools ("sys-apps/module-init-tools" is blocking sys-apps/kmod-9-r3)
[ebuild N ] sys-fs/udev-init-scripts-12
[ebuild U ] sys-fs/udev-186 [171-r6] USE="gudev* hwdb* keymap* openrc%* -doc% -static-libs%"
[ebuild N ] sys-power/upower-0.9.17 USE="introspection -debug -doc -ios"
[ebuild N ] sys-fs/udisks-1.0.4-r2 USE="nls -debug -remote-access"
[ebuild N ] kde-base/kdelibs-4.8.4-r1 USE="acl alsa bzip2 fam handbook mmx nls opengl (policykit) semantic-desktop spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -openexr -test (-upnp) -zeroconf"
[ebuild N ] sys-auth/polkit-kde-agent-0.99.0 USE="(-aqua) -debug" LINGUAS="-ca -ca@valencia -cs -da -de -en_GB -eo -es -et -fi -fr -ga -gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW"
[ebuild N ] kde-base/kfmclient-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/katepart-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/nepomuk-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-misc/polkit-kde-kcmodules-0.98_pre20101127 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdesu-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/khelpcenter-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/libkworkspace-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/libkonq-4.8.4 USE="(-aqua) -debug -test"
[ebuild N ] kde-base/kephal-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kcheckpass-4.8.4 USE="pam (-aqua) -debug"
[ebuild N ] kde-base/ksysguard-4.8.4 USE="handbook (-aqua) -debug -lm_sensors -test"
[ebuild N ] kde-base/kactivities-4.8.4 USE="semantic-desktop (-aqua)"
[ebuild N ] kde-base/khotkeys-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kde-wallpapers-4.8.4 USE="(-aqua)"
[ebuild N ] kde-base/kfind-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/libplasmagenericshell-4.8.4 USE="(-aqua) -debug -test"
[ebuild N ] kde-base/libtaskmanager-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/liboxygenstyle-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/ksplash-4.8.4 USE="mmx sse sse2 xinerama -3dnow (-altivec) (-aqua) -debug"
[ebuild N ] kde-base/kcminit-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/phonon-kde-4.8.4 USE="alsa (-aqua) -debug -pulseaudio"
[ebuild N ] kde-base/kdepasswd-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/plasma-apps-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kstartupconfig-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kwin-4.8.4 USE="opengl (-aqua) -debug -gles"
[ebuild N ] kde-base/systemsettings-4.8.4 USE="handbook opengl usb (-aqua) -debug -gtk -test"
[ebuild N ] kde-base/keditbookmarks-4.8.4 USE="(-aqua) -debug -test"
[ebuild N ] kde-base/kdialog-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kcmshell-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/solid-runtime-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdepimlibs-4.8.4 USE="handbook ldap semantic-desktop (-aqua) -debug -prison -test"
[ebuild N ] kde-base/libplasmaclock-4.8.4 USE="holidays (-aqua) -debug"
[ebuild N ] kde-base/plasma-runtime-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kstyles-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/freespacenotifier-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/ksystraycmd-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/dolphin-4.8.4 USE="handbook semantic-desktop (-aqua) -debug -thumbnail"
[ebuild N ] kde-base/kwrite-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/kwrited-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdebase-cursors-4.8.4 USE="(-aqua)"
[ebuild N ] kde-base/klipper-4.8.4 USE="handbook (-aqua) -debug -prison"
[ebuild N ] kde-base/konsole-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/qguiplatformplugin_kde-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kmenuedit-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/kdm-4.8.4 USE="(consolekit) handbook pam (-aqua) -debug -kerberos"
[ebuild N ] kde-base/kscreensaver-4.8.4 USE="opengl (-aqua) -debug"
[ebuild N ] net-libs/libproxy-0.4.7 USE="kde -gnome -mono -networkmanager -perl -python -test"
[ebuild N ] net-libs/glib-networking-2.32.3 USE="libproxy ssl -gnome -smartcard -test"
[ebuild N ] net-libs/libsoup-2.38.1 USE="introspection ssl -debug -doc -samba -test"
[ebuild N ] media-plugins/gst-plugins-soup-0.10.30
[ebuild N ] media-libs/phonon-gstreamer-4.6.1 USE="alsa network -debug"
[ebuild N ] kde-base/svgpart-4.8.4 USE="(-aqua) -debug"
[ebuild N ] net-libs/libbluedevil-1.9.2 USE="(-aqua) -debug"
[ebuild N ] kde-base/knotify-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kreadconfig-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kuiserver-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kfile-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdebase-menu-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kstart-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdebugdialog-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/kioclient-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/renamedlg-plugins-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/drkonqi-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kiconfinder-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/keditfiletype-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kwallet-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/attica-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/knetattach-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/kdontchangethehostname-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kpasswdserver-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/ktimezoned-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kwalletd-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdebase-kioslaves-4.8.4 USE="bzip2 exif handbook sftp (-aqua) -debug -lzma -openexr -samba"
[ebuild N ] kde-base/kglobalaccel-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdebase-menu-icons-4.8.4 USE="(-aqua)"
[ebuild N ] kde-base/kdebase-data-4.8.4 USE="wallpapers (-aqua)"
[ebuild N ] kde-base/kdebase-desktoptheme-4.8.4 USE="(-aqua)"
[ebuild N ] kde-base/kquitapp-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kmimetypefinder-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kurifilter-plugins-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/knewstuff-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/ktraderclient-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdnssd-4.8.4 USE="(-aqua) -debug -zeroconf"
[ebuild N ] kde-base/konqueror-4.8.4 USE="bookmarks handbook svg (-aqua) -debug"
[ebuild N ] net-wireless/bluedevil-1.2.3 USE="(-aqua) -debug" LINGUAS="-ar -bs -ca -ca@valencia -cs -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -hu -it -ja -ko -lt -mai -ms -nb -nds -nl -pa -pl -pt -pt_BR -ro -ru -sk -sl -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -ug -uk -zh_CN -zh_TW"
[ebuild N ] kde-base/kcontrol-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/solid-4.8.4 USE="bluetooth (-aqua) -debug -networkmanager -wicd"
[ebuild N ] kde-base/kdebase-runtime-meta-4.8.4 USE="handbook semantic-desktop (-aqua)"
[ebuild N ] kde-base/nsplugins-4.8.4-r1 USE="(-aqua) -debug"
[ebuild N ] kde-base/konq-plugins-4.8.4 USE="(-aqua) -debug -tidy"
[ebuild N ] kde-base/ksmserver-4.8.4 USE="(-aqua) -debug"
[ebuild N ] kde-base/plasma-workspace-4.8.4 USE="handbook rss semantic-desktop (-aqua) -debug -google-gadgets -gps -python -qalculate"
[ebuild N ] kde-base/kinfocenter-4.8.4 USE="handbook opengl (-aqua) -debug -ieee1394"
[ebuild N ] kde-base/powerdevil-4.8.4 USE="pm-utils (-aqua) -debug"
[ebuild N ] kde-base/krunner-4.8.4 USE="opengl (-aqua) -debug"
[ebuild N ] kde-base/kdebase-startkde-4.8.4 USE="wallpapers (-aqua)"
[ebuild N ] kde-base/kdebase-meta-4.8.4 USE="wallpapers (-aqua)"
[blocks B ] <sys-apps/openrc-0.10.1 ("<sys-apps/openrc-0.10.1" is blocking sys-fs/lvm2-2.02.95-r3)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-auth/pambase:0

(sys-auth/pambase-20101024-r2::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-auth/pambase-20120417-r1::gentoo, ebuild scheduled for merge) pulled in by
sys-auth/pambase[consolekit] required by (sys-auth/polkit-0.107::gentoo, ebuild scheduled for merge)

sys-fs/udev:0

(sys-fs/udev-171-r6::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-fs/udev-186::gentoo, ebuild scheduled for merge) pulled in by
>=sys-fs/udev-171-r6[gudev] required by (sys-power/upower-0.9.17::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-171-r5[gudev,hwdb] required by (sys-fs/udisks-1.0.4-r2::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-186 required by (sys-fs/udev-init-scripts-12::gentoo, ebuild scheduled for merge)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.

Ich bin mir nicht sicher was warum zu tun ist..
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1953
Location: My own world! I and Gentoo!

PostPosted: Wed Jul 25, 2012 10:32 am    Post subject: Reply with quote

Na steht alles auf den letzten 50 Zeilen ;)
lvm2 benötigt openrc in der Version >=0.10.1 (möglicherweiße reicht updaten von openrc) (emerge -1u)

pambase muss für polkit (was von den kdelibs benötigt wird) mit USE=consolekit installiert werden.

Das mit udev solltest du mit diesem Tipp selbst hinbekommen.

PS: ich habe es mir angewöhnt nach dem Configurieren von portage ein emerge -1 gcc glibc libtool binutils && emerge -e @world anzustoßen, um auch alle Komponenten auf den aktuellsten Stand zu bringen.

Und auch von mir der Tipp. Der unstable Zweig ist für unerfahrene etwas schwer zu händeln. Lieber auf stable System setzen und nur da wo man etwas benötigt (bspw. unstable Xorg wegen neuesten nvidia-drivers) auf unstable auszuweichen.

Wenn du dich eingelebt hast und richtig gut mit deinem System klarkommst kannst du ohne weiteres ACCEPT_KEYWORDS="~amd64" in deine make.conf wieder eintragen und auf unstable updaten.
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Wed Jul 25, 2012 11:06 am    Post subject: Reply with quote

Bei einer Aktuellisierung bekamm ich diesen error.(emerge --update --newuse --deep --with-bdeps=y @world)

* ERROR: dev-db/virtuoso-server-6.1.5 failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info '=dev-db/virtuoso-server-6.1.5'`,
* the complete build log and the output of `emerge -pqv '=dev-db/virtuoso-server-6.1.5'`.
* The complete build log is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/environment'.
* Working directory: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'
* S: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'

>>> Failed to emerge dev-db/virtuoso-server-6.1.5, Log file:

>>> '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/build.log'

* Messages for package dev-db/virtuoso-server-6.1.5:

* ERROR: dev-db/virtuoso-server-6.1.5 failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info '=dev-db/virtuoso-server-6.1.5'`,
* the complete build log and the output of `emerge -pqv '=dev-db/virtuoso-server-6.1.5'`.
* The complete build log is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/environment'.
* Working directory: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'
* S: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'

* GNU info directory index is up-to-date.
* After world updates, it is important to remove obsolete packages with
* emerge --depclean. Refer to `man emerge` for more information.



emerge --info
Portage 2.1.11.9 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.15-r2, 3.4.6-1-ARCH x86_64)
=================================================================
System uname: Linux-3.4.6-1-ARCH-x86_64-AMD_FX-tm-6100_Six-Core_Processor-with-gentoo-2.1
Timestamp of tree: Tue, 24 Jul 2012 23:00:01 +0000
app-shells/bash: 4.2_p37
dev-lang/python: 2.7.3-r2, 3.2.3-r1
dev-util/cmake: 2.8.8-r3
dev-util/pkgconfig: 0.27
sys-apps/baselayout: 2.1-r1
sys-apps/openrc: 0.10.5
sys-apps/sandbox: 2.6
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.11.6, 1.12.2
sys-devel/binutils: 2.22-r1
sys-devel/gcc: 4.5.3-r2, 4.6.3
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4.2
sys-devel/make: 3.82-r3
sys-kernel/linux-headers: 3.5 (virtual/os-headers)
sys-libs/glibc: 2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j12"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gpm iconv ipv6 jpeg kde kipi lcms ldap libnotify mad minizip mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pppd qt3support qt4 readline sdl semantic-desktop session spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xcomposite xinerama xml xorg xscreensaver xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Tut mir leid wenn ich jetzt schon wieder nicht alleine weiter komme..
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Wed Jul 25, 2012 11:18 am    Post subject: Reply with quote

bell wrote:
Das ist ja ein Monster-System. Darauf Gentoo zu installieren macht sicherlich Spaß. Die SSD als / die HDD als /home, /tmp und /var/tmp als tmpfs. Damit kannst Du selbst Libre-Office im RAM kompilieren 8O

Vom Unstable/Testing würde ich Dir als Anfänger abraten. Bei Gentoo ist es ohne Probleme möglich die Zweige zu mischen. Also: Stabile Basis und wo es drauf ankommt: Testing oder Unstable.

An sonsten noch ein Paar Stichworte von mir
- http://www.gentooforum.de/artikel/16042/was-hat-gentoo-was-andere-nicht-haben.html
- Installationsanleitung nicht nur Deutsch sondern auch parallel in Englisch lesen
- Für die SSD-Formattierung denke an "trim"
- tmpfs wie oben schon erwähnt.
- als CFLAGS die "-march=native"


Nope, Ich habe 16GB RAM und sogar 12GB fuer /var/tmp reichen nicht aus :)
_________________
Gentoo on Uptime Project - Larry is a cow


Last edited by disi on Wed Jul 25, 2012 11:28 am; edited 1 time in total
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 2675
Location: de

PostPosted: Wed Jul 25, 2012 11:22 am    Post subject: Reply with quote

Beelzebub_ wrote:
Bei einer Aktuellisierung bekamm ich diesen error.(emerge --update --newuse --deep --with-bdeps=y @world)
Code:
 * ERROR: dev-db/virtuoso-server-6.1.5 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=dev-db/virtuoso-server-6.1.5'`,
 * the complete build log and the output of `emerge -pqv '=dev-db/virtuoso-server-6.1.5'`.
 * The complete build log is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'
 * S: '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5'

>>> Failed to emerge dev-db/virtuoso-server-6.1.5, Log file:

>>>  '/var/tmp/portage/dev-db/virtuoso-server-6.1.5/temp/build.log'

Die Fehlermeldung steht meist in den Zeilen darüber.

Ansonsten ist es bei Compile-Abbrüchen immer mal sinnvoll bei bugs.gentoo.org zu suchen.
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Wed Jul 25, 2012 11:27 am    Post subject: Reply with quote

Eventuell hilft das:

inter target type
../../libsrc/Dk/Dkpool.h:122:16: note: expected 'caddr_t' but argument is of type 'ccaddr_t'
sparql_core.c: In function 'sparp_query_parse':
sparql_core.c:4339:7: error: too many arguments to function 'sparyyparse'
sparql_p.h:451:5: note: declared here
In file included from ./sparql_l.l:33:0:
sparql_p.h:451:5: error: conflicting types for 'sparyyparse'
sparql.h:726:12: note: previous declaration of 'sparyyparse' was here
make[3]: *** [libwi_la-sparql_core.lo] Error 1
sparql_l.c:2604:16: warning: 'input' defined but not used
make[3]: *** [libwi_la-sparql_l.lo] Error 1
make[3]: *** [libwi_la-sparql2sqltext.lo] Error 1
./sparql_p.y: In function 'sparyyparse':
./sparql_p.y:2564:7: warning: passing argument 1 of 't_list_concat' from incompatible pointer type
../../libsrc/Dk/Dkpool.h:218:17: note: expected 'caddr_t' but argument is of type 'struct SPART **'
./sparql_p.y:2564:7: warning: passing argument 2 of 't_list_concat' from incompatible pointer type
../../libsrc/Dk/Dkpool.h:218:17: note: expected 'caddr_t' but argument is of type 'struct SPART **'
./sparql_p.y:2571:7: warning: passing argument 1 of 't_list_concat' from incompatible pointer type
../../libsrc/Dk/Dkpool.h:218:17: note: expected 'caddr_t' but argument is of type 'struct SPART **'
./sparql_p.y:2571:7: warning: passing argument 2 of 't_list_concat' from incompatible pointer type
../../libsrc/Dk/Dkpool.h:218:17: note: expected 'caddr_t' but argument is of type 'struct SPART **'
make[3]: Leaving directory `/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5/libsrc/Wi'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5/libsrc/Wi'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-db/virtuoso-server-6.1.5/work/virtuoso-opensource-6.1.5/libsrc'
make: *** [all-recursive] Error 1
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4116

PostPosted: Wed Jul 25, 2012 11:56 am    Post subject: Reply with quote

disi wrote:
bell wrote:
Das ist ja ein Monster-System. Darauf Gentoo zu installieren macht sicherlich Spaß. Die SSD als / die HDD als /home, /tmp und /var/tmp als tmpfs. Damit kannst Du selbst Libre-Office im RAM kompilieren 8O

Vom Unstable/Testing würde ich Dir als Anfänger abraten. Bei Gentoo ist es ohne Probleme möglich die Zweige zu mischen. Also: Stabile Basis und wo es drauf ankommt: Testing oder Unstable.

An sonsten noch ein Paar Stichworte von mir
- http://www.gentooforum.de/artikel/16042/was-hat-gentoo-was-andere-nicht-haben.html
- Installationsanleitung nicht nur Deutsch sondern auch parallel in Englisch lesen
- Für die SSD-Formattierung denke an "trim"
- tmpfs wie oben schon erwähnt.
- als CFLAGS die "-march=native"


Nope, Ich habe 16GB RAM und sogar 12GB fuer /var/tmp reichen nicht aus :)

Doch das geht. Ich habe auch 16GB RAM und ein tmpfs mit etwa 12GB (könnten auch mehr sein). Wobei das tmpfs nur für das build temp dir verwendet wird.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Wed Jul 25, 2012 12:14 pm    Post subject: Reply with quote

Ok ich muss wohl bison zur Version 2.5.1 downgraden. Leider kenne ich mich da noch nicht so gut aus wie funktioniert das?
(Ich möchte jetzt erst einmal ein System zustande bringen und dann die ganzen Sachen in ruhe lernen.)
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Wed Jul 25, 2012 12:20 pm    Post subject: Reply with quote

Beelzebub_ wrote:
Ok ich muss wohl bison zur Version 2.5.1 downgraden. Leider kenne ich mich da noch nicht so gut aus wie funktioniert das?
(Ich möchte jetzt erst einmal ein System zustande bringen und dann die ganzen Sachen in ruhe lernen.)


Ich wurde einfach alle 'nicht-einwandfrei-compilierenden' Pakete masken und dann die Vorgaengerversionen benutzen.

Sprich:
dev-db/virtuoso-server-6.1.5 << tut nicht
Code:
# echo '=dev-db/virtuoso-server-6.1.5' >> /etc/portage/package.mask

und weiter...
_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Wed Jul 25, 2012 8:52 pm    Post subject: Reply with quote

Danke, damit konnte ich mein System nun komplet aktuellisieren.(welches ziemlich lange gedauert hat)

Womit ich wieder bei der installation von KDE bin:

So siehts bei mir zurzeit aus:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-auth/pambase:0

(sys-auth/pambase-20101024-r2::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-auth/pambase-20120417-r1::gentoo, ebuild scheduled for merge) pulled in by
sys-auth/pambase[consolekit] required by (sys-auth/polkit-0.107::gentoo, ebuild scheduled for merge)

sys-fs/udev:0

(sys-fs/udev-171-r6::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-fs/udev-186::gentoo, ebuild scheduled for merge) pulled in by
>=sys-fs/udev-171-r5[gudev,hwdb] required by (sys-fs/udisks-1.0.4-r2::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-171-r6[gudev] required by (sys-power/upower-0.9.17::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-186 required by (sys-fs/udev-init-scripts-12::gentoo, ebuild scheduled for merge)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.

Leider bin ich aus Max Steels Post nicht schlau geworden.

Worum geht es bei dieser Fehlermeldung?
Wie behebe ich sie? (Konkrete Befehle würden mir sehr helfen)
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Wed Jul 25, 2012 9:35 pm    Post subject: Reply with quote

Einfach einen manuellen build machen, um sie zu aktualisieren. Kann es sein, dass die stage3 sehr alt war?

Code:
# USE="consolekit" emerge -1 pambase udev


Welches Profil hast du, wegen der USE flags?
Code:
# eselect profile list

_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Max Steel
Veteran
Veteran


Joined: 12 Feb 2007
Posts: 1953
Location: My own world! I and Gentoo!

PostPosted: Wed Jul 25, 2012 9:52 pm    Post subject: Reply with quote

disi wrote:
Einfach einen manuellen build machen, um sie zu aktualisieren. Kann es sein, dass die stage3 sehr alt war?

Code:
# USE="consolekit" emerge -1 pambase udev


Welches Profil hast du, wegen der USE flags?
Code:
# eselect profile list


Ersetze bitte manuell mit "einen merge auf dieses einzelne Paket mit -1 ansetzen"

ansonsten kann das für Verwirrungen sorgen ;)

ansonsten wie disi es beschrieben hat. Um das ganze dann fest einzustellen (für den nächsten merge) consolekit global in der make.conf setzen oder für dieses Paket in die package.use eintragen (Semantik: <cat>/<pak> <activeuse> <non-activeuse> )

Consolekit wird für einiges in anderen Paketen gebraucht was die Benutzung mit kde um einiges leichter macht. Also ich würde es global in make.conf setzen.
_________________
mfg
Steel
___________________
Big sorry for my bad English.

Heim-PC: AMD Phenom II X4 3,2GHz, 16GB RAM, gentoo-sources-3.10.7, NV GTX 780
Laptop: Intel Celeron 1,7GHz, 512MB Ram, tuxonice-sources-3.7.1, SIS Graphic

Version 0.4
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2289
Location: Germany

PostPosted: Thu Jul 26, 2012 7:32 am    Post subject: Reply with quote

Beelzebub_ wrote:
Ok ich muss wohl bison zur Version 2.5.1 downgraden.

Bezüglich des Abbruchs bei virtuoso-server-6.1.5 ja, siehe hierzu Bug 427674 - dev-db/virtuoso-server-6.1.5 with sys-devel/bison-2.6 - In file included from sparql2sql.c:31:0: sparql_p.h:451:5: error: conflicting types for ‘sparyyparse’
Quote:
Leider kenne ich mich da noch nicht so gut aus wie funktioniert das?
(Ich möchte jetzt erst einmal ein System zustande bringen und dann die ganzen Sachen in ruhe lernen.)

Siehe zb http://www.gentoo.org/doc/de/handbook/handbook-x86.xml?part=3&chap=3
Ich denke es ist nicht die optimale Reihenfolge erst ein System aufzusetzen, und dann erst die Gentoo-Dokumentation zu nutzen.
Sorry, aber meiner Meinung nach wären die meisten deiner Problempunkte (auch die aus deinem ersten Thread/dein erster Versuch Gentoo aufzusetzen) nicht entstanden oder leicht lösbar gewesen, wenn das Gentoo-Handbuch und die Gentoo-Dokumentationen genutzt werden würde :)

PS: Nutze für Code hier im Forum doch besser auch die Code Tags, damit wäre das ganze ein wenig übersichtlicher und auch besser lesbar.
disi wrote:
Welches Profil hast du, wegen der USE flags?
Laut der emerge --info
Beelzebub_ wrote:
default/linux/amd64/10.0/desktop/kde
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Thu Jul 26, 2012 8:14 am    Post subject: Reply with quote

Ich bin leicht verwirrt. Ich habe oben meine make.conf geposted:

→ USE="mmx sse sse2 -gtk -gnome qt4 kde dvd alsa cdr minizip consolekit dbus policykit udev"

Consolekit ist bereits eingetragen. Oder verstehe ich gerade was völlig falsch?

Bezüglich USE="consolekit" emerge -1 pambase udev

Habe ich wieder folgenden Fehler:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

sys-auth/pambase:0

(sys-auth/pambase-20101024-r2::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-auth/pambase-20120417-r1::gentoo, ebuild scheduled for merge) pulled in by
sys-auth/pambase[consolekit] required by (sys-auth/polkit-0.107::gentoo, ebuild scheduled for merge)

sys-fs/udev:0

(sys-fs/udev-171-r6::gentoo, installed) pulled in by
(no parents that aren't satisfied by other packages in this slot)

(sys-fs/udev-186::gentoo, ebuild scheduled for merge) pulled in by
>=sys-fs/udev-171-r5[gudev,hwdb] required by (sys-fs/udisks-1.0.4-r2::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-171-r6[gudev] required by (sys-power/upower-0.9.17::gentoo, ebuild scheduled for merge)
>=sys-fs/udev-186 required by (sys-fs/udev-init-scripts-12::gentoo, ebuild scheduled for merge)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Thu Jul 26, 2012 8:23 am    Post subject: Reply with quote

Das baut nicht automatisch alle Pakete neu, dafuer gibt es --deep und --newuse.

Mein Vorschlag: Nimm dir die Ruhe einmal durch alle deine /etc/portage/package.* Dateien zu gucken. Weil dort naemlich die Informationen aus /etc/make.conf wieder ueberschrieben werden koennen.

//edit: oder als naechsten konkreten Befehl, bevor du versuchst kde-meta zu bauen:
Code:
# emerge -DuaN world


//edit: ist schon krass womit sich die Package-Maintainer auch bei Arch alles rumschlagen muessen, wo die dann fuer dich die Entscheidungen treffen bestimmte Dinge so oder so zu konfigurieren. Wenn man Gentoo unstable hat, ist man sozusagen sein eigener Maintainer :P
_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Thu Jul 26, 2012 9:00 am    Post subject: Reply with quote

/ # emerge -DuaN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] media-libs/libogg-1.3.0 USE="-static-libs"
[ebuild N ] sys-power/pm-quirks-20100619
[ebuild N ] dev-libs/libx86-1.1-r1
[ebuild N ] sys-apps/sdparm-1.07
[ebuild N ] dev-libs/icu-49.1.2 USE="-debug -doc -examples -static-libs"
[ebuild N ] sys-libs/libutempter-1.1.5-r1 USE="-static-libs"
[ebuild N ] dev-util/boost-build-1.49.0 USE="-examples -python"
[ebuild N ] media-sound/alsa-headers-1.0.25
[ebuild N ] app-arch/unzip-6.0-r3 USE="bzip2 unicode -natspec"
[ebuild N ] media-libs/libid3tag-0.15.1b-r2 USE="-debug -static-libs"
[ebuild N ] dev-libs/libksba-1.2.0 USE="-static-libs"
[ebuild N ] dev-libs/libassuan-2.0.3 USE="-static-libs"
[ebuild N ] app-dicts/myspell-en-20081002
[ebuild N ] app-arch/zip-3.0-r1 USE="bzip2 crypt unicode -natspec"
[ebuild N ] dev-db/libiodbc-3.52.7-r1 USE="-gtk -static-libs"
[ebuild N ] kde-base/kde-env-4.8.4 USE="(-aqua)"
[ebuild N ] dev-libs/pth-2.0.7-r3 USE="-debug -static-libs"
[ebuild N ] dev-libs/libtasn1-2.13 USE="-doc -static-libs"
[ebuild N ] app-crypt/mhash-0.9.9.9-r1 USE="-static-libs"
[ebuild NS ] sys-devel/autoconf-2.13 [2.69]
[ebuild N ] www-misc/htdig-3.2.0_beta6-r3 USE="ssl"
[ebuild N ] x11-libs/qt-test-4.8.2 USE="exceptions (-aqua) (-c++0x) -debug -pch (-qpa)"
[ebuild N ] x11-libs/qt-xmlpatterns-4.8.2 USE="(-aqua) (-c++0x) -debug -pch (-qpa)"
[ebuild N ] app-crypt/qca-2.0.3 USE="(-aqua) -debug -doc -examples"
[ebuild N ] sys-apps/sg3_utils-1.33 USE="-static-libs"
[ebuild N ] sys-apps/rescan-scsi-bus-1.56
[ebuild N ] dev-util/dialog-1.1.20120706 USE="nls unicode -examples -minimal -static-libs"
[ebuild N ] media-gfx/exiv2-0.23 USE="nls zlib -contrib -doc -examples -static-libs -xmp" LINGUAS="-de -es -fi -fr -pl -ru -sk"
[ebuild N ] app-text/iso-codes-3.37
[ebuild N ] sys-block/eject-2.1.5-r2 USE="nls"
[ebuild N ] app-admin/eselect-pinentry-0.3
[ebuild N ] app-admin/eselect-boost-0.4
[ebuild N ] media-libs/raptor-2.0.8 USE="curl unicode -debug -json -static-libs"
[ebuild N ] virtual/eject-0
[ebuild N ] dev-libs/boost-1.49.0-r1 USE="eselect -debug -doc -icu -mpi -python -static-libs -test -tools"
[ebuild N ] sys-block/thin-provisioning-tools-0.1.5-r1
[ebuild NS ] sys-devel/automake-1.11.6 [1.12.2]
[ebuild N ] media-libs/alsa-lib-1.0.25-r1 USE="-alisp -debug -doc -python"
[ebuild N ] dev-lang/orc-0.4.16 USE="-examples -static-libs"
[ebuild N ] dev-libs/libgamin-0.1.10-r3 USE="-debug -python -static-libs"
[ebuild N ] x11-libs/libXScrnSaver-1.2.2 USE="-static-libs"
[ebuild N ] sys-apps/vbetool-1.1
[ebuild N ] media-libs/libsamplerate-0.1.8 USE="-sndfile -static-libs"
[ebuild N ] app-text/hunspell-1.3.2-r3 USE="ncurses nls readline -static-libs" LINGUAS="-af -bg -ca -cs -cy -da -de -el -en -eo -es -et -fo -fr -ga -gl -he -hr -hu -ia -id -is -it -km -ku -lt -lv -mk -ms -nb -nl -nn -pl -pt -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu"
[ebuild N ] media-libs/libdvdcss-1.2.12 USE="-doc -static-libs"
[ebuild N ] media-libs/flac-1.2.1-r4 USE="cxx ogg sse -3dnow (-altivec) -debug -static-libs"
[ebuild N ] media-libs/libmad-0.15.1b-r7 USE="-debug -static-libs"
[ebuild N ] media-libs/libvorbis-1.3.3 USE="-static-libs"
[ebuild N ] media-libs/libdca-0.0.5-r2 USE="-debug -oss -static-libs"
[ebuild N ] media-libs/a52dec-0.7.4-r6 USE="-djbfft -oss -static-libs"
[ebuild N ] media-libs/audiofile-0.3.4 USE="-static-libs"
[ebuild N ] media-libs/faad2-2.7-r2 USE="-digitalradio -static-libs"
[ebuild N ] dev-libs/nettle-2.5 USE="gmp"
[ebuild N ] dev-db/virtuoso-odbc-6.1.4
[ebuild N ] dev-libs/nspr-4.9.1-r2 USE="-debug"
[ebuild N ] virtual/glu-7.0
[ebuild N ] app-text/sgml-common-0.6.3-r5
[ebuild N ] media-libs/libdvdread-4.2.0 USE="css"
[ebuild N ] dev-lang/spidermonkey-1.8.5-r1 USE="-debug -static-libs -test"
[ebuild N ] app-text/enchant-1.6.0 USE="hunspell -aspell -static-libs -zemberek"
[ebuild N ] media-sound/alsa-utils-1.0.25-r2 USE="nls -doc -minimal (-selinux)"
[ebuild N ] net-libs/gnutls-2.12.20 USE="cxx nettle nls zlib -bindist -doc -examples -guile -lzo -pkcs11 -static-libs -test"
[ebuild N ] dev-db/virtuoso-server-6.1.4-r1 USE="ldap readline -kerberos"
[ebuild N ] app-admin/gam-server-0.1.10-r1 USE="-debug"
[ebuild N ] media-libs/libdvdnav-4.2.0
[ebuild N ] app-admin/gamin-0.1.10
[ebuild N ] media-libs/gstreamer-0.10.35 USE="introspection nls -test"
[ebuild N ] virtual/fam-0
[ebuild N ] media-libs/gst-plugins-base-0.10.35 USE="introspection nls orc"
[ebuild N ] media-libs/gst-plugins-good-0.10.30 USE="orc -debug"
[ebuild N ] media-plugins/gst-plugins-faad-0.10.22
[ebuild N ] media-libs/gst-plugins-ugly-0.10.18 USE="-debug"
[ebuild N ] media-plugins/gst-plugins-xvideo-0.10.35
[ebuild N ] media-plugins/gst-plugins-a52dec-0.10.18 USE="orc"
[ebuild N ] media-plugins/gst-plugins-x-0.10.35
[ebuild N ] media-plugins/gst-plugins-ogg-0.10.35
[ebuild N ] media-plugins/gst-plugins-alsa-0.10.35
[ebuild N ] media-plugins/gst-plugins-dts-0.10.22 USE="orc"
[ebuild N ] media-plugins/gst-plugins-dvdread-0.10.18
[ebuild N ] media-plugins/gst-plugins-vorbis-0.10.35
[ebuild N ] media-plugins/gst-plugins-flac-0.10.30
[ebuild N ] media-plugins/gst-plugins-resindvd-0.10.22
[ebuild N ] media-plugins/gst-plugins-mad-0.10.18
[ebuild N ] x11-libs/qt-svg-4.8.2 USE="accessibility exceptions (-aqua) (-c++0x) -debug -pch (-qpa)"
[ebuild N ] x11-libs/qt-webkit-4.8.2 USE="exceptions gstreamer jit (-aqua) -debug -icu -pch (-qpa)"
[ebuild N ] x11-libs/qt-opengl-4.8.2 USE="exceptions qt3support (-aqua) (-c++0x) -debug -egl -pch (-qpa)"
[ebuild N ] app-crypt/pinentry-0.8.1 USE="ncurses qt4 -caps -gtk -static"
[ebuild N ] kde-base/oxygen-icons-4.8.4 USE="(-aqua) -bindist"
[ebuild N ] media-libs/qimageblitz-0.0.6 USE="mmx sse sse2 -3dnow (-altivec) -debug"
[ebuild N ] dev-libs/shared-desktop-ontologies-0.10.0
[ebuild N ] dev-libs/libattica-0.4.0 USE="-debug"
[ebuild N ] dev-libs/libdbusmenu-qt-0.9.2 USE="-debug -doc -test"
[ebuild N ] x11-libs/qt-declarative-4.8.2 USE="accessibility exceptions qt3support (-aqua) (-c++0x) -debug -pch (-qpa) -webkit"
[ebuild N ] app-crypt/gnupg-2.0.19 USE="bzip2 ldap nls readline usb -adns -doc (-selinux) -smartcard -static"
[ebuild N ] dev-util/automoc-0.9.88
[ebuild N ] media-libs/libsdl-1.2.15-r2 USE="X alsa audio joystick opengl video xinerama xv -aalib -custom-cflags -dga -directfb -fbcon -ggi -libcaca -nas -oss (-ps3) -pulseaudio -static-libs (-svga) -tslib"
[ebuild N ] dev-libs/dbus-glib-0.100 USE="-debug -doc -static-libs -test"
[ebuild N ] app-misc/strigi-0.7.7-r1 USE="dbus exif fam qt4 -clucene -debug -ffmpeg -hyperestraier -inotify (-log) -test"
[ebuild N ] media-libs/phonon-4.6.0-r1 USE="gstreamer (-aqua) -debug -pulseaudio -vlc -zeitgeist"
[ebuild N ] app-text/build-docbook-catalog-1.19
[ebuild N ] app-text/docbook-xsl-stylesheets-1.77.1-r1 USE="-ruby"
[ebuild N ] app-text/docbook-xml-dtd-4.2-r2
[ebuild N ] dev-libs/rasqal-0.9.29 USE="crypt mhash pcre xml -doc -gmp -static-libs -test"
[ebuild N ] media-libs/giflib-4.1.6-r2 USE="X -rle -static-libs"
[ebuild N ] sys-power/pm-utils-1.4.1-r2 USE="alsa -debug -ntp" VIDEO_CARDS="-intel -radeon"
[ebuild N ] sys-block/parted-3.1 USE="debug nls readline -device-mapper (-selinux) -static-libs -test"
[ebuild N ] media-libs/libmpeg2-0.5.1-r1 USE="X sdl -static-libs"
[ebuild N ] media-plugins/gst-plugins-mpeg2dec-0.10.18
[ebuild N ] media-plugins/gst-plugins-meta-0.10-r7 USE="X a52 aac alsa dts dvd flac mp3 mpeg ogg vorbis xv -dv -dvb -ffmpeg -http -lame -libvisual -mms -musepack -mythtv -oss -pulseaudio -taglib -theora -v4l -vcd -vpx -wavpack"
[ebuild N ] dev-libs/redland-1.0.15 USE="berkdb ssl xml -iodbc -mysql -odbc -postgres -sqlite -static-libs"
[ebuild N ] dev-libs/soprano-2.7.6 USE="dbus raptor redland virtuoso -clucene -debug -doc -test"
[ebuild N ] app-text/docbook-xml-dtd-4.1.2-r6
[ebuild N ] sys-fs/udev-init-scripts-12
[ebuild U ] sys-fs/udev-186 [171-r6] USE="gudev* hwdb* keymap* openrc%* -doc% -static-libs%"
[ebuild N ] app-misc/media-player-info-17
[ebuild N ] dev-libs/libatasmart-0.19 USE="-static-libs"
[ebuild N ] sys-fs/lvm2-2.02.95-r3 USE="lvm1 readline thin udev (-clvm) (-cman) (-selinux) -static -static-libs"
[ebuild N ] sys-auth/polkit-0.107 USE="introspection kde nls pam -examples -gtk (-selinux) -systemd"
[ebuild N ] sys-auth/consolekit-0.4.5_p20120320 USE="acl pam (policykit) -debug -doc (-selinux) -test"
[ebuild N ] sys-auth/polkit-qt-0.103.0 USE="-debug -examples"
[ebuild N ] sys-fs/udisks-1.0.4-r2 USE="nls -debug -remote-access"
[ebuild N ] sys-power/upower-0.9.17 USE="introspection -debug -doc -ios"
[ebuild N ] kde-base/kdelibs-4.8.4-r1 USE="acl alsa bzip2 fam handbook mmx nls opengl (policykit) semantic-desktop spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -openexr -test (-upnp) -zeroconf"
[ebuild N ] sys-auth/polkit-kde-agent-0.99.0 USE="(-aqua) -debug" LINGUAS="-ca -ca@valencia -cs -da -de -en_GB -eo -es -et -fi -fr -ga -gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW"
[ebuild N ] kde-base/katepart-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/nepomuk-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-misc/polkit-kde-kcmodules-0.98_pre20101127 USE="(-aqua) -debug"
[ebuild N ] kde-base/kdesu-4.8.4 USE="handbook (-aqua) -debug"
[ebuild N ] kde-base/khelpcenter-4.8.4 USE="(-aqua) -debug"
[ebuild N ] net-libs/libproxy-0.4.7 USE="kde -gnome -mono -networkmanager -perl -python -test"
[ebuild N ] net-libs/glib-networking-2.32.3 USE="libproxy ssl -gnome -smartcard -test"
[ebuild N ] net-libs/libsoup-2.38.1 USE="introspection ssl -debug -doc -samba -test"
[ebuild N ] media-plugins/gst-plugins-soup-0.10.30
[ebuild N ] media-libs/phonon-gstreamer-4.6.1 USE="alsa network -debug"
[ebuild U ] sys-auth/pambase-20120417-r1 [20101024-r2] USE="(consolekit*) -systemd%"
[ebuild U ] sys-apps/shadow-4.1.5.1 [4.1.4.3] USE="acl%* -xattr%"
[blocks b ] <sys-apps/shadow-4.1.5-r1 ("<sys-apps/shadow-4.1.5-r1" is blocking sys-auth/pambase-20120417-r1)

Would you like to merge these packages? [Yes/No] y

>>> Verifying ebuild manifests
>>> Running pre-merge checks for dev-libs/boost-1.49.0-r1
openpty failed: 'out of pty devices'
>>> Running pre-merge checks for kde-base/kdelibs-4.8.4-r1
* gcc-config: Active gcc profile is invalid!
gcc-config: error: could not run/locate 'x86_64-pc-linux-gnu-cpp'
* ERROR: kde-base/kdelibs-4.8.4-r1 failed (pretend phase):
* Sorry, but gcc-4.3 and earlier won't work for KDE SC 4.6 (see bug #354837).
*
* Call stack:
* ebuild.sh, line 85: Called pkg_pretend
* kdelibs-4.8.4-r1.ebuild, line 142: Called die
* The specific snippet of code:
* [[ $(gcc-major-version) -lt 4 ]] || \
* ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 3 ]] ) \
* && die "Sorry, but gcc-4.3 and earlier won't work for KDE SC 4.6 (see bug #354837)."
*
* If you need support, post the output of `emerge --info '=kde-base/kdelibs-4.8.4-r1'`,
* the complete build log and the output of `emerge -pqv '=kde-base/kdelibs-4.8.4-r1'`.
* The complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/temp/die.env'.
* Working directory: '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1'
* S: '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/work/kdelibs-4.8.4'

* Messages for package kde-base/kdelibs-4.8.4-r1:

* ERROR: kde-base/kdelibs-4.8.4-r1 failed (pretend phase):
* Sorry, but gcc-4.3 and earlier won't work for KDE SC 4.6 (see bug #354837).
*
* Call stack:
* ebuild.sh, line 85: Called pkg_pretend
* kdelibs-4.8.4-r1.ebuild, line 142: Called die
* The specific snippet of code:
* [[ $(gcc-major-version) -lt 4 ]] || \
* ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 3 ]] ) \
* && die "Sorry, but gcc-4.3 and earlier won't work for KDE SC 4.6 (see bug #354837)."
*
* If you need support, post the output of `emerge --info '=kde-base/kdelibs-4.8.4-r1'`,
* the complete build log and the output of `emerge -pqv '=kde-base/kdelibs-4.8.4-r1'`.
* The complete build log is located at '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/temp/die.env'.
* Working directory: '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1'
* S: '/var/tmp/portage/kde-base/kdelibs-4.8.4-r1/work/kdelibs-4.8.4'
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Thu Jul 26, 2012 9:12 am    Post subject: Reply with quote

Code:
# gcc-config -l

Und dann welche Version du willst z.B.:
Code:
# gcc-config 2

_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Thu Jul 26, 2012 9:15 am    Post subject: Reply with quote

/ # gcc-config -l
* gcc-config: Active gcc profile is invalid!

[1] x86_64-pc-linux-gnu-4.6.3


Irgendwas stimmt da nicht..

Edit: Muss ich die 4.6.2 noch installieren? Wie?
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Thu Jul 26, 2012 9:31 am    Post subject: Reply with quote

Beelzebub_ wrote:
/ # gcc-config -l
* gcc-config: Active gcc profile is invalid!

[1] x86_64-pc-linux-gnu-4.6.3


Irgendwas stimmt da nicht..

Edit: Muss ich die 4.6.2 noch installieren? Wie?


Das kann nicht sein, es sei denn du hast ein --depclean irgendwann laufen lassen und damit den alten 'funktionierenden' Compiler entfernt?
Hast du versucht den neuen zu setzen?
Code:
# gcc-config 1


Wenn der neue nicht tut... an diesem Punkt wuerde ich sagen:
Quote:
Uebungsunterbrechung, Ausgangslage einnehmen, nochmal!

Alternativ noch einmal das stage3 ueber root / entpacken damit du einen funktionierenden Compiler bekommst?
_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Beelzebub_
Apprentice
Apprentice


Joined: 21 May 2012
Posts: 256
Location: outside/todesstern-2.01

PostPosted: Thu Jul 26, 2012 9:41 am    Post subject: Reply with quote

Ja, ich habe ein depclean drüber geworfen.. shame on me :oops:

Aber ich denke gcc-config 1 hat funktioniert.
Ich compiliere gerade die 4.6.2 version von gcc
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Thu Jul 26, 2012 9:44 am    Post subject: Reply with quote

Beelzebub_ wrote:
Ja, ich habe ein depclean drüber geworfen.. shame on me :oops:

Aber ich denke gcc-config 1 hat funktioniert.
Ich compiliere gerade die 4.6.2 version von gcc


Ist ja kein Problem den neuen zu benutzen, im Grunde koenntest du nun mit dem world update fortfahren...

Als Tip:
Compiler, Kernel, PAM-Sachen, shadow etc. wenn das bei depclean auftaucht, grosse Vorsicht walten lassen...
_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Deutsches Forum (German) Diskussionsforum All times are GMT
Goto page 1, 2, 3, 4, 5, 6, 7  Next
Page 1 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum